public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Theo Anderson" <telans@posteo.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-lang/fbc/
Date: Mon, 12 Apr 2021 05:38:52 +0000 (UTC)	[thread overview]
Message-ID: <1618189025.c6b94bbd2dba24f29f2667d7c98f9ac32361b6b5.telans@gentoo> (raw)

commit:     c6b94bbd2dba24f29f2667d7c98f9ac32361b6b5
Author:     William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
AuthorDate: Mon Apr 12 00:56:34 2021 +0000
Commit:     Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Mon Apr 12 00:57:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c6b94bbd

dev-lang/fbc: Version bump to 1.07.3

Signed-off-by: William Breathitt Gray <vilhelm.gray <AT> gmail.com>

 dev-lang/fbc/Manifest          |  1 +
 dev-lang/fbc/fbc-1.07.3.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-lang/fbc/Manifest b/dev-lang/fbc/Manifest
index 7c9cade4c..ef633a433 100644
--- a/dev-lang/fbc/Manifest
+++ b/dev-lang/fbc/Manifest
@@ -2,3 +2,4 @@ DIST FreeBASIC-1.07.1-source-bootstrap.tar.xz 9098748 BLAKE2B 3c3970ab014f79193d
 DIST FreeBASIC-1.07.2-source-bootstrap.tar.xz 10700992 BLAKE2B e7016e5f58ae79086c0445bf6a09f33d4335af771422778be407e3351d583522e16f137763e471ba88e47b4318ab5bd2aec882ef5e5ff85cc334b0eccf27fdc5 SHA512 f381d14343496f68d3401ad1a66ff4fb1314270eddebb72ed2bc5624b856c4b29e7e14062f531a5158d892bb73d9aa80ff54fe7c260b4b8967b1330d26b2ecfc
 DIST fbc-1.07.1.tar.gz 8938056 BLAKE2B 965425426605b9e0018e066852a67c355d168276b434e6779e151fad38820a956b5b763aad427c6728be4a74b0956b099a0bb8abd0d76fececc6cf8f0204d3c1 SHA512 7d49b9546e242b1c366b2378f71cf1640b85c85e09f4c2bd99ef268e6b4e5e45a710b7a00f7d807245aec518f299d173635572b77483826c1f273e047dbe3679
 DIST fbc-1.07.2.tar.gz 9032306 BLAKE2B c44eb74bb0b11f8315cda29e13157ce5f7a92070f0e6df833ad9dda4ebe37db6450afe2b82eb763ebee5ed0c33b4ce458fd3b53430f32da8ad5a71cd84411c67 SHA512 0577203fb8a325f611c88456446721e8bb14656beb235f3965bcd53e14cc7c7fa012a68535ff4c12351fad31d9a22a759f12bc9fe0be5d1dad124d3fe377daaf
+DIST fbc-1.07.3.tar.gz 9035460 BLAKE2B c0356c36ebd455954993ce5d4a983d06c33abc5bf0a059a44832d441514643c7d08e40268a7b3b9a0cba21368058199be395cc28dd7f87df23d576f78aece276 SHA512 6040248c433db3191678209401ff4a643c500d967d67352f1aeca347648056b0a2cdef25bbb7532fec0351a13984c72e80cb7b00faf3ead6c219422955d148fb

diff --git a/dev-lang/fbc/fbc-1.07.3.ebuild b/dev-lang/fbc/fbc-1.07.3.ebuild
new file mode 100644
index 000000000..4c2681646
--- /dev/null
+++ b/dev-lang/fbc/fbc-1.07.3.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A free/open source, multi-platform BASIC compiler."
+HOMEPAGE="https://www.freebasic.net"
+SRC_URI="https://github.com/freebasic/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="FDL-1.2 GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gpm libffi opengl X"
+
+DEPEND="
+	sys-libs/ncurses:=
+	gpm? ( sys-libs/gpm )
+	libffi? ( dev-libs/libffi )
+	opengl? ( virtual/opengl )
+	X? (
+		x11-libs/libX11
+		x11-libs/libXext
+		x11-libs/libXpm
+		x11-libs/libXrandr
+		x11-libs/libXrender
+	)
+"
+RDEPEND="${DEPEND}"
+BDEPEND="|| (
+		dev-lang/fbc
+		dev-lang/fbc-bootstrap )"
+
+DOCS="${S}/doc/fbc.1"
+
+src_compile() {
+	local xcflags=(
+		$(usex gpm "" "-DDISABLE_GPM")
+		$(usex libffi "" " -DDISABLE_FFI")
+		$(usex opengl "" " -DDISABLE_OPENGL")
+		$(usex X "" " -DDISABLE_X11")
+	)
+
+	local fbc="fbc"
+	local fbcflags=""
+	# fbc requires a space after the -Wl option
+	local fblflags="${LDFLAGS//-Wl,/-Wl }"
+
+	if has_version -b dev-lang/fbc-bootstrap; then
+		fbc="fbc-bootstrap"
+		fbcflags="-prefix ${EPREFIX}/usr/share/freebasic-bootstrap"
+		fblflags+=" -prefix ${EPREFIX}/usr/share/freebasic-bootstrap"
+	fi
+
+	# Build fbc
+	emake CFLAGS="${CFLAGS} ${xcflags[*]} -I/usr/$(get_libdir)/libffi/include" FBC="${fbc}" FBCFLAGS="${fbcflags}" FBLFLAGS="${fblflags}" TARGET="${CHOST}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" prefix="/usr" TARGET="${CHOST}" install
+	einstalldocs
+}


             reply	other threads:[~2021-04-12  5:39 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-12  5:38 Theo Anderson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-12 13:20 [gentoo-commits] repo/proj/guru:master commit in: dev-lang/fbc/ David Roman
2024-11-12 13:20 David Roman
2021-09-08 15:20 Arthur Zamarin
2021-05-05  8:33 Andrew Ammerlaan
2021-04-30  7:45 Andrew Ammerlaan
2021-04-30  7:45 Andrew Ammerlaan
2020-12-28 23:22 Andrew Ammerlaan
2020-12-27 12:48 Andrew Ammerlaan
2020-03-09 17:55 Andrew Ammerlaan
2019-05-19 15:42 Ralph Seichter
2019-05-14 16:05 Ralph Seichter
2019-04-29 14:11 Ralph Seichter
2019-04-29 14:11 Ralph Seichter
2019-04-29 14:11 Ralph Seichter

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618189025.c6b94bbd2dba24f29f2667d7c98f9ac32361b6b5.telans@gentoo \
    --to=telans@posteo.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox